WordPress.org

Ready to get started?Download WordPress

Forums

WordPress 2.8.4: Plugin update over ftp takes ages and fails (2 posts)

  1. ernstblaauw
    Member
    Posted 4 years ago #

    Hi,

    I'm running WP 2.8.4. I wanted to update my plugins, but they fail to upgrade. If I click 'Upgrade automatically', I have to give my FTP credentials. After that, the page is loading quite some time and then, I get the message:

    Downloading update from http://downloads.wordpress.org/plugin/google-sitemap-generator.3.1.6.zip.

    Unpacking the update.

    Kan bestand niet kopiƫren /wp-content/upgrade/google-sitemap-generator.3.1.62/google-sitemap-generator/readme-ar_AR.txt

    (the last sentence means: cannot copy file ....)
    My ftp works correctly. This has worked before, although I don't know which version it was (I think 2.8.2).

    This happens with all upgradeable plugins. Can someone help me?

  2. _CdnShield_
    Member
    Posted 4 years ago #

    This worked for me, I could be wrong on a security level. Overall, please confer with your web/system administrator for your WordPress installation.
    Linux-Unix: You have to set the file/folder permissions of the /<your_home_dir>/wp-content (where the plug-in sub-directory resides) and set this to 775. The process that controls the PHP operations requires access not as the "owner" but as a "group."
    Windows: If it's a windows operating system, change permissions to the owner and system with Read-Write (full access).
    If you are unable to change this option, again, please contact your adminstrator. Good luck...

Topic Closed

This topic has been closed to new replies.

About this Topic